import { index, route, layout, prefix } from '@react-router/dev/routes'

export default [
  layout('layouts/app/layout.jsx', [
    index('routes/overview/index.jsx'),
    route('users', 'routes/users/index.jsx'),
    route('users/:id', 'routes/users/$id.jsx'),
    route('orders', 'routes/orders/index.jsx'),
    route('orders/:id', 'routes/orders/$id.jsx'),
    route('enrollments', 'routes/enrollments/index.jsx'),
    route('enrollments/:id', 'routes/enrollments/$id.jsx'),
    route('settings', 'routes/settings/index.jsx'),
  ]),
  layout('layouts/auth/layout.jsx', [
    ...prefix('auth', [
      index('routes/auth/login/index.jsx'),
      route('logout', 'routes/auth/logout.jsx'),
      route('register', 'routes/auth/register/index.jsx'),
      route('forgot', 'routes/auth/forgot/index.jsx'),
      route('passcode', 'routes/auth/passcode/index.jsx'),
      route('support', 'routes/auth/support.jsx'),
    ]),
  ]),
]
